/* Odometer base layout */

.odometer {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    white-space: nowrap;
}

.odometer .odometer-inside {
    display: inline-block;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    white-space: nowrap;
}

.odometer .odometer-digit {
    display: inline-block;
    vertical-align: middle;
    position: relative;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
}

.odometer .odometer-digit-spacer {
    display: inline-block;
    vertical-align: middle;
    visibility: hidden;
}

.odometer .odometer-digit-inner {
    text-align: left;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
}

.odometer .odometer-ribbon,
.odometer .odometer-ribbon-inner {
    display: block;
}

.odometer .odometer-ribbon-inner {
    backface-visibility: hidden;
}

.odometer .odometer-value {
    display: block;
    text-align: center;
    transform: translateZ(0);
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
}

.odometer .odometer-value.odometer-last-value {
    position: absolute;
}

/* Odometer animation */

.odometer.odometer-animating-up .odometer-ribbon-inner,
.odometer.odometer-animating-down.odometer-animating .odometer-ribbon-inner {
    transition: transform 2s;
}

.odometer.odometer-animating-up.odometer-animating .odometer-ribbon-inner,
.odometer.odometer-animating-down .odometer-ribbon-inner {
    transform: translateY(-100%);
}

.odometer.odometer-animating-down.odometer-animating .odometer-ribbon-inner {
    transform: translateY(0);
}

/* Currency wrapper */

.odometer-value-wrapper {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
}

.odometer-currency-symbol {
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
}
